* {
  @include scrollbar();
}

html,
body {
  @include main-font-style;
  background-color: #fff;
  overflow-y: initial;
  overflow-y: initial;
  min-height: 100%;
  height: auto;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

$header-height: 100px;
$tab-main-height: 51px;
$tab-second-height: 41px;


.wrapper {
  height: 100%;
  display: flex;
  flex-direction: column;

  &__content {
    flex: 1 0 auto;
  }

  &__action {
    flex-shrink: 0;
    display: flex;
    border-top: 1px solid #b8cbdd;
    background-color: lighten(#b8cbdd, 10%);
    padding: 5px;

    &.--center {
      justify-content: center;
    }

    &.--no-bg {
      background-color: transparent;
      border-top: none;
    }
  }

  &.--fixed {
    height: auto;
  }

  &.--tab-main {
    height: calc(100vh - (#{$header-height} + #{$tab-main-height}));
  }

  &.--tab-second {
    height: calc(100vh - (#{$header-height} + #{$tab-main-height} + #{$tab-second-height}));
  }
}

.pagination {
  display: flex;
  align-content: center;
  justify-content: center;
}

.container {
  display: flex;
  flex-direction: column;
  flex: 1;
  margin-bottom: 10px;

  &.--padded {
    padding: 20px 20px 0;
  }

  &.--report {
    padding: 20px 200px 0;

    @media only screen and (max-width: 1440px) {
      padding: 20px 150px 0;
    }

    @media only screen and (max-width: 1280px) {
      padding: 20px 100px 0;
    }

    @media only screen and (max-width: 992px) {
      padding: 20px 50px 0;
    }

    @media only screen and (max-width: 768px) {
      padding: 20px 20px 0;
    }
  }

  &__no-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    flex: 1;
    color: #84898e;

    >div {
      display: flex;
      flex-direction: column;
    }

    &.--icon {
      font-size: cal-rem(100px);
      margin-bottom: 20px;

      >i {
        display: flex;
        align-items: center;
        justify-content: center;
      }
    }

    &.--text {
      font-size: cal-rem(24px);
    }

    &.--detail {
      font-size: cal-rem(18px);
      margin-top: 5px;
    }

    &.--button {
      margin-top: 20px;
    }

    &.--report {
      border-top: 1px solid rgba(34, 36, 38, 0.15);
    }
  }
}

@media only screen and (max-width: 768px) {
  .container {
    &__no-content {
      &.--icon {
        font-size: cal-rem(60px);
      }

      &.--text {
        font-size: cal-rem(20px);
        margin-bottom: 10px;
      }
    }
  }
}